Description

Support Request

we had a look at the adtf_config_tool and did some tests. Please find attached an ADTF hello-world project. In the project, under

adtfsessions/, there is a file called connect.bat that describes three problems:

1) A filter's output cannot be connected to two different pins at once

2) No batch processing of multiple commands possible: Whenever we need to create a number of connections, a new process for

every connection is needed which leads is a very long processing time.

3) Subgraphs sometimes don't connect properly.

Have a looke at the connect.bat for some more detailed comments.

Is our approach correct? And can we request the feature to process multiple commands at once? (e.g. via input file?)

Solution

Investigating the problem an find a known problem and a new one. Created

Product Ticket Numbers: https://www.cip.audi.de/jira/browse/ACORE-11853, https://www.cip.audi.de/jira/browse/ACORE-11869

History

#1 - 2023-01-26 15:38 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::ConfigTool

- Platform Windows 11 64bit added

Hi Robin,

thanks for your feedback!

1) A filter's output cannot be connected to two different pins at once

 Please have a look at the manual approach in the UI, this not valid.

What you have to do is connect the sample stream to the second display.

An ADTF pin (no matter if in or out) can only have one connection. To connect to several instances, it must be done from the sample stream.

So your approach is correct, but you can shorten the calls.

The first connection can be pin to pin and the sample stream will be added automatically (as within Configuration Editor).

With the knowing, that the automatic sample stream will be named filter.pin you can use for the second connect:

adtf_config_tool.exe --session default_session.adtfsession -e connect sub_graph/graphs/live/filters/sender sub

_graph/graphs/live/filters/MyQtDisplay1 --output-pin out --input-pin out

adtf_config_tool.exe --session default_session.adtfsession -e connect sub_graph/graphs/live/sample_streams/sen

der.out sub_graph/graphs/live/filters/MyQtDisplay2 --output-pin out --input-pin out
 Not tried, but should work.

2) No batch processing of multiple commands possible: Whenever we need to create a number of connections, a new process for every

connection is needed which leads is a very long processing time.

 Yes, this is currently a limitation in the tool behavior.

And something in our mind to change in future releases for more convenience.

But a first speed up will come in ADTf 3.16, batch processing is still unscheduled.

3) Subgraphs sometimes don't connect properly.

 @Sebastian: What can be this issue ?

@Robin: Is the session also loaded parallel in Configuration Editor ?

Platform: Windows 11 64bit (not in the dropdown)

 added

#2 - 2023-01-26 16:28 - hidden

- Resolution set to Known Feature Request

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-11853

#4 - 2023-01-27 09:38 - hidden

Hi,

thanks for the fast response!

1) Alright, understood. So the assumption that the automatically created sample stream will be named filter.pin didn't seem save for us, although it

should not be feasible to two sample streams from one pin of one filter ins the graph. But thanks for that hint!

2) Perfect, looking forward to it!

3) Yes, the Configration Editor was used to observe the results of the commands and might have been open in parallel from time to time. That might

have been the reason. But let me mention, that the feedback from the adtf_config_tool is unsufficient here and there (e.g. when there's typo and

nothing happens).

BR

Robin

#5 - 2023-01-27 11:23 - hidden

Hi Robin,

1) Alright, understood. So the assumption that the automatically created sample stream will be named filter.pin didn't seem save for us

 OK, but that is the automatism, it will have the name if you do a pin-2-pin connection, in CE as in CLI.

This is important for the Sample Stream Trace View for example, then you get easily the relation to the source name and pin.

Of course you can still add sample streams manually and give them unique names.

[...], although it should not be feasible to two sample streams from one pin of one filter ins the graph. But thanks for that hint!

 Again, it is not valid that a pin can have more connection, no matter which direction.

So having a pin to 2 sample streams is not valid (except one connection is deactivated, but that makes no sense in your setup).

3) Yes, the Configration Editor was used to observe the results of the commands and might have been open in parallel from time to time.

 That is what comes to my mind because then you have two clients who wants write access.

But let me mention, that the feedback from the adtf_config_tool is unsufficient here and there (e.g. when there's typo and nothing happens).

 Can you give a concrete example / call where you miss feedback ?

Because this should work of course, maybe there is some uncaught exception...

For example if I try connect unexisting filters:

adtf_config_tool.exe --session demo_data_and_time_triggered_filter.adtfsession --execute connect bla bli

Result code '-20 '(ERR_NOT_FOUND) - no item with name 'bla' found [adtf_config_tool.cpp:105(find_model)]
 Regards,

Florian

#6 - 2023-01-30 12:54 - hidden

Hi Florian,

an example for missing feedback using the hello_world example attached:

adtf_config_tool.exe --session default_session.adtfsession -e

 addcomponent sub_graph/graphs/live samplestream default_sample_stream.streaming.adtf.cid ss

adtf_config_tool.exe --session default_session.adtfsession -e

 connect sub_graph/graphs/live/filters/sender sub_graph/graphs/live/sample_streams/ss --output-pin bli 

--input-pin bla

 The output and input pins bli and bla do not exist, but there is no feedback from this command.

BR,

Robin

#7 - 2023-01-30 13:13 - hidden

- Support Level changed from 2nd Level to 3rd Level

Hi Robin,

thanks, in this case, there is no error message.

@Sebastian: Can you please have a look at this ?

#8 - 2023-01-30 13:13 - hidden

- Status changed from Customer Feedback Required to In Progress

#13 - 2023-02-07 11:01 - hidden

Hi Robin,

we are still investigating your problem. You will get asap an answer.

Best regards,

Margarete

#18 - 2023-02-13 14:27 - hidden

- Resolution changed from Known Feature Request to Product Issue Opened

- Product Issue Numbers changed from https://www.cip.audi.de/jira/browse/ACORE-11853 to https://www.cip.audi.de/jira/browse/ACORE-11853,

https://www.cip.audi.de/jira/browse/ACORE-11869

Hello Robin,

we have completed the investigation. Thanks for for your information, we had or created product tickets for them and will implemented it on our

product.

Do you need any further support? Otherwise we will close the ticket.

Best regards,

Margarete

#19 - 2023-02-13 14:27 - hidden

- Status changed from In Progress to Customer Feedback Required

#20 - 2023-02-14 06:45 - hidden

Alright. No further support needed. Thanks!

BR

Robin
#21 - 2023-02-14 07:48 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#22 - 2023-04-03 07:38 - hidden

- Project changed from 30 to Public Support

- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Files

hello_world.zip 105 KB 2023-01-25 hidden
